
<ion-content [fullscreen]="true">
  <div class="nav" style="margin-bottom:50px;">
  <nav class="navbar " style="background:'#dc3545'; width:100%">
      <button class="navbar-toggler" style="background:'#2271b3'; color:'white'" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto" style="padding: 20px;">
          <li class="nav-item active">
            <a class="nav-link" style="color:'white';"href="#">Inicio <span class="sr-only">(current)</span></a>
          </li>
         
        
        </ul>
       
      </div>
    </nav>
  </div>
  
      <h1 style="text-align: center;font-weight: bold; color:#dc3545">Banka</h1>
  
    <div class="login" style="padding:20px; margin:20px;">
     <div class="card-content">
     <div class="container">
  
      <form class="container form-login" >
        <mat-form-field class="example-full-width">
          <mat-label>Correo Electronico</mat-label>
          <input type="email" matInput id="inputs" [formControl]="emailFormControl" [errorStateMatcher]="matcher"
                placeholder="Ex. pat@example.com">
          <mat-error *ngIf="emailFormControl.hasError('email') && !emailFormControl.hasError('required')">
          
          Por favor Ingrese un correo electronico valido
          </mat-error>
          <mat-error *ngIf="emailFormControl.hasError('required')">
          Correo Electronico <strong>Requerido</strong>
  
          </mat-error>
  
        </mat-form-field>
  
        <mat-form-field   class="example-full-width" >
        
          <mat-label>Contraseña</mat-label>
          <input type="password" matInput id="inputs" [formControl]="passwordFormControl" [errorStateMatcher]="matcher"
                >
      <mat-error *ngIf="passwordFormControl.hasError('email') && !passwordFormControl.hasError('required')">
          
          Por favor Ingrese un correo electronico valido
          </mat-error>
          <mat-error *ngIf="passwordFormControl.hasError('required')">
          Contraseña <strong>Requerida</strong>
  
          </mat-error>
          
     
        </mat-form-field><br><br>
        <a href="#">Olvido Contraseña?</a><br>
        <button class="btn btn-danger" (click)="login()" [disabled]="passwordFormControl.invalid">Entrar</button>
      </form>
  
      
  
      </div>
     </div>
    </div>
  <div style="text-align:center">    
    <a routerLink="/register">Registrase</a>
    <!-- more links here -->
  </div>
  </ion-content>
  